Bug 1622247 - ipmicmd man page is self-referential
Summary: ipmicmd man page is self-referential
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: OpenIPMI
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Josef Ridky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-24 21:28 UTC by "FeRD" (Frank Dana)
Modified: 2018-11-27 03:30 UTC (History)
3 users (show)

Fixed In Version: OpenIPMI-2.0.25-8.fc28 OpenIPMI-2.0.25-8.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-13 19:00:23 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
OpenIPMI.spec patch to generate proper ipmicmd.1 man page (786 bytes, patch)
2018-08-24 21:28 UTC, "FeRD" (Frank Dana)
no flags Details | Diff

Description "FeRD" (Frank Dana) 2018-08-24 21:28:46 UTC
Created attachment 1478669 [details]
OpenIPMI.spec patch to generate proper ipmicmd.1 man page

Description of problem:
As I noted in bug 1612159, the ipmicmd.1 manpage source contains a self-referential link, which prevents `man ipmicmd` from displaying any useful results.

Version-Release number of selected component (if applicable):
OpenIPMI-2.0.25-2.fc28.x86_64

How reproducible:
always

Steps to Reproduce:
1. man ipmicmd
2.
3.

Actual results:
(First time)
man: /usr/share/man/man1/ipmicmd.1 is self referencing


Expected results:
The contents of the man page.

Additional info:
This comes down to a spec file typo, I forked OpenIPMI in pagure and fixed it but I wasn't able to get write access to my own fork (git over ssh isn't accepting the ssh key I have registered in FAS), it's not worth the hassle for a one-line patch so I'm just attaching a git diff of the specfile change instead.

Comment 1 Fedora Update System 2018-09-05 10:35:08 UTC
OpenIPMI-2.0.25-8.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-5410d6bf65

Comment 2 Fedora Update System 2018-09-05 10:35:15 UTC
OpenIPMI-2.0.25-8.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9bb3ba494f

Comment 3 Fedora Update System 2018-09-05 21:28:08 UTC
OpenIPMI-2.0.25-8.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-5410d6bf65

Comment 4 Fedora Update System 2018-09-07 00:07:31 UTC
OpenIPMI-2.0.25-8.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9bb3ba494f

Comment 5 Fedora Update System 2018-09-07 00:07:59 UTC
OpenIPMI-2.0.25-8.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9bb3ba494f

Comment 6 Fedora Update System 2018-09-13 19:00:23 UTC
OpenIPMI-2.0.25-8.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2018-11-27 03:30:16 UTC
OpenIPMI-2.0.25-8.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.